# Interface DeferrableOutputStream.Listener

Enclosing class:
  `DeferrableOutputStream`

public static interface DeferrableOutputStream.Listener
Interface of a listener object, that wishes to be notified about state changes.

## Method Summary

Modifier and Type
Method
Description
`default void`
`persisted(Path path)`
Called, after `DeferrableOutputStream.persist()` has been invoked, and the temporary file has been created.

## Method Details

### persisted

default void persisted(Path path)
Called, after `DeferrableOutputStream.persist()` has been invoked, and the temporary file has been created.

Parameters:
  `path` - Path of the temporary file, that has been created. All in-memory data has been transferred to that file, but it is still opened.